# Hurricane VLSI Database

List of all members | Public Types | Public Member Functions
Hurricane::Interruption Class Reference

Interruption description (API) More...

Inheritance diagram for Hurricane::Interruption:
[legend]

## Public Types
typedef Exception | Inherit

## Public Member Functions
| Interruption (const string &reason, int code=0)
| Interruption (const Interruption &interruption)
Interruption & | operator= (const Interruption &interruption)
Public Member Functions inherited from Hurricane::Exception
string | what () const
string | textWhat () const
string | htmlWhat () const

## Additional Inherited Members
Static Public Member Functions inherited from Hurricane::Exception
static void | setTextTranslator (const TextTranslator &translator)
static void | setHtmlTranslator (const TextTranslator &translator)

## Detailed Description

Interruption description (API)

# Introduction

Interruptions are neither errors nor warnings. They are used to suspend a potentially lengthy action (like a display refresh). We could have used errors or warning but it is wiser to use a specific type.

## Member Typedef Documentation

## ◆ Inherit

Hurricane::Interruption::Inherit

Useful for calling the base class methods without knowing this class.

## Constructor & Destructor Documentation

## ◆ Interruption() [1/2]

Hurricane::Interruption::Interruption | ( | const string & | reason,
|  | int | code = `0`
| ) |  |

Builds an interruption characterized by a reason and a code useful within a switch.

## ◆ Interruption() [2/2]

Hurricane::Interruption::Interruption | ( | const Interruption & | interruption | ) |

Copy constructor.

## Member Function Documentation

## ◆ operator=()

Interruption & Hurricane::Interruption::operator= | ( | const Interruption & | interruption | ) |

Assignment operator.

The documentation for this class was generated from the following files:

- Interruption.h
- Interruption.dox

Generated by doxygen 1.8.14 on Sun Mar 8 2020 | Return to top of page

Hurricane VLSI Database | Copyright © 2000-2016 Bull S.A. All rights reserved